<div class="container">

    <div class="browse-grid">

        <div class="feed">

            <section>
                <h3 class="section-title">Top</h3>
                <ul class="grid-list">
                    <app-world-tag *ngFor="let w of topWorlds" [world]="w"></app-world-tag>
                </ul>
                <div class="text-right">
                    <a class="small" href="">...Browse all</a>
                </div>
            </section>

            <section>
                <h3 class="section-title">Trending</h3>
                <ul class="grid-list">
                    <app-world-tag *ngFor="let w of trendingWorlds" [world]="w"></app-world-tag>
                </ul>
                <div class="text-right">
                    <a class="small" href="">...Browse all</a>
                </div>
            </section>

            <section>
                <h3 class="section-title">Popular Events</h3>
                <ul class="unstyled-list">
                    <li class="mb-1" app-event-preview *ngFor="let e of events" [event]="e"></li>
                </ul>
                <div class="text-right">
                    <a class="small" href="">...Browse all Events</a>
                </div>
            </section>

            <section *ngIf="posts">
                <h3 class="section-title">Recent</h3>

                <ul class="unstyled-list">

                    <li *ngFor="let post of posts"
                    app-post-preview
                    [display-world]="true"
                    [post]="post">
                        <p class="brief">{{ (post.contents.length > 450) ? (post.contents | slice:0:450) + '...' : (post.contents) }}<button class="text-btn blue" (click)="showPost(post)"> Leer Más</button></p>
                    </li>

                </ul>

                <button class="show-more">Load more posts</button>
            </section>
        </div>

        <aside class="feed-sidebar right">

            <!-- <section>
                <div class="mb-1">
                    <button class="btn">Create World</button>
                </div>
            </section> -->
            <section>
                <h3 class="section-title">Popular tags</h3>
                <ul class="unstyled-list tags">
                    <li><a href="">#Fantasy</a></li>
                    <li><a href="">#Sci-fi</a></li>
                    <li><a href="">#Romance</a></li>
                    <li><a href="">#School-life</a></li>
                    <li><a href="">#Magic</a></li>
                    <li><a href="">#Spiritual</a></li>
                    <li><a href="">#Comedy</a></li>
                    <li><a href="">#Drama</a></li>
                    <li><a href="">#Angst</a></li>
                    <li><a href="">#Pirates</a></li>
                </ul>
            </section>
            <section>
                <h3 class="section-title">friends online</h3>
                <ul class="flex-list wrap">
                    <li 
                    [user]="{username:'bsunnucksx', picture: 'http://dummyimage.com/333x335.bmp/dddddd/000000', is_online: true}"
                    app-user-tag></li>

                    <li 
                    [user]="{username: 'wgamage87', picture: 'http://dummyimage.com/572x451.bmp/ff4444/ffffff', is_online: true}"
                    app-user-tag></li>
                </ul>
            </section>
            
        </aside>

    </div>

</div>
